whrlpool.h File Reference

Classes for the Whirlpool message digest. More...

Go to the source code of this file.

## Classes

class | Whirlpool
| Whirlpool message digest. More...

## Macros

#define | CRYPTOPP_DISABLE_WHIRLPOOL_ASM 1

## Detailed Description

Classes for the Whirlpool message digest.

Crypto++ provides version 3.0 of the Whirlpool algorithm. This version of the algorithm was submitted for ISO standardization.

Definition in file whrlpool.h.

## Macro Definition Documentation

## CRYPTOPP_DISABLE_WHIRLPOOL_ASM

#define CRYPTOPP_DISABLE_WHIRLPOOL_ASM 1

Definition at line 19 of file whrlpool.h.